osgPresentation::JumpData Struct Reference

`#include <SlideEventHandler>`

Inheritance diagram for osgPresentation::JumpData:

## Public Member Functions

| JumpData ()
| JumpData (bool in_relativeJump, int in_slideNum, int in_layerNum)
| JumpData (const std::string &in_slideName, const std::string &in_layerName)
| JumpData (const JumpData &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
JumpData & | operator= (const JumpData &rhs)
| META_Object (osgPresentation, JumpData)
bool | requiresJump () const
bool | jump (SlideEventHandler *seh) const
void | setRelativeJump (bool flag)
bool | getRelativeJump () const
void | setSlideNum (int num)
int | getSlideNum () const
void | setLayerNum (int num)
int | getLayerNum () const
void | setSlideName (const std::string &name)
const std::string & | getSlideName () const
void | setLayerName (const std::string &name)
const std::string & | getLayerName () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

bool | relativeJump
int | slideNum
int | layerNum
std::string | slideName
std::string | layerName

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## JumpData() [1/4]

osgPresentation::JumpData::JumpData | ( |  | ) |

inline

References layerNum, relativeJump, and slideNum.

Referenced by JumpData(), META_Object(), and operator=().

## JumpData() [2/4]

osgPresentation::JumpData::JumpData | ( | bool | in_relativeJump,
|  | int | in_slideNum,
|  | int | in_layerNum )

inline

References layerNum, relativeJump, and slideNum.

## JumpData() [3/4]

osgPresentation::JumpData::JumpData | ( | const std::string & | in_slideName,
|  | const std::string & | in_layerName )

inline

References layerName, layerNum, relativeJump, slideName, and slideNum.

## JumpData() [4/4]

osgPresentation::JumpData::JumpData | ( | const JumpData & | rhs,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References JumpData(), layerName, layerNum, osg::Object::Object(), relativeJump, osg::CopyOp::SHALLOW_COPY, slideName, and slideNum.

## Member Function Documentation

## getLayerName()

const std::string & osgPresentation::JumpData::getLayerName | ( |  | ) | const

inline

References layerName.

## getLayerNum()

int osgPresentation::JumpData::getLayerNum | ( |  | ) | const

inline

References layerNum.

## getRelativeJump()

bool osgPresentation::JumpData::getRelativeJump | ( |  | ) | const

inline

References relativeJump.

## getSlideName()

const std::string & osgPresentation::JumpData::getSlideName | ( |  | ) | const

inline

References slideName.

## getSlideNum()

int osgPresentation::JumpData::getSlideNum | ( |  | ) | const

inline

References slideNum.

## jump()

bool osgPresentation::JumpData::jump | ( | SlideEventHandler * | seh | ) | const

## META_Object()

osgPresentation::JumpData::META_Object | ( | osgPresentation | ,
|  | JumpData | )

References JumpData().

## operator=()

JumpData & osgPresentation::JumpData::operator= | ( | const JumpData & | rhs | ) |

inline

References JumpData(), layerName, layerNum, relativeJump, slideName, and slideNum.

## requiresJump()

bool osgPresentation::JumpData::requiresJump | ( |  | ) | const

inline

References layerName, layerNum, relativeJump, slideName, and slideNum.

## setLayerName()

void osgPresentation::JumpData::setLayerName | ( | const std::string & | name | ) |

inline

References layerName.

## setLayerNum()

void osgPresentation::JumpData::setLayerNum | ( | int | num | ) |

inline

References layerNum.

## setRelativeJump()

void osgPresentation::JumpData::setRelativeJump | ( | bool | flag | ) |

inline

References relativeJump.

## setSlideName()

void osgPresentation::JumpData::setSlideName | ( | const std::string & | name | ) |

inline

References slideName.

## setSlideNum()

void osgPresentation::JumpData::setSlideNum | ( | int | num | ) |

inline

References slideNum.

## Member Data Documentation

## layerName

std::string osgPresentation::JumpData::layerName

Referenced by getLayerName(), JumpData(), JumpData(), operator=(), requiresJump(), and setLayerName().

## layerNum

int osgPresentation::JumpData::layerNum

Referenced by getLayerNum(), JumpData(), JumpData(), JumpData(), JumpData(), operator=(), requiresJump(), and setLayerNum().

## relativeJump

bool osgPresentation::JumpData::relativeJump

Referenced by getRelativeJump(), JumpData(), JumpData(), JumpData(), JumpData(), operator=(), requiresJump(), and setRelativeJump().

## slideName

std::string osgPresentation::JumpData::slideName

Referenced by getSlideName(), JumpData(), JumpData(), operator=(), requiresJump(), and setSlideName().

## slideNum

int osgPresentation::JumpData::slideNum

Referenced by getSlideNum(), JumpData(), JumpData(), JumpData(), JumpData(), operator=(), requiresJump(), and setSlideNum().

The documentation for this struct was generated from the following file:

- SlideEventHandler